Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class KeyParameter

    java.lang.Object
      org.bouncycastle.crypto.params.KeyParameter

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  DESParameters

    public class KeyParameter

extends java.lang.Object
implements CipherParameters

Constructor Summary
`KeyParameter(byte[] key)`
`KeyParameter(byte[] key, int keyOff, int keyLen)`

Method Summary
`byte[]` `getKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyParameter

    public KeyParameter(byte[] key)

### KeyParameter

    public KeyParameter(byte[] key,
                        int keyOff,
                        int keyLen)

Method Detail

### getKey

    public byte[] getKey()

Bouncy Castle Cryptography Library 1.45